net.sf.jasperreports.engine

## Interface JRBreak

- All Superinterfaces:
    java.lang.Cloneable, JRChild, JRCloneable, JRCommonElement, JRElement, JRIdentifiable, JRPropertiesHolder, JRStyleContainer, JRVisitable
  All Known Implementing Classes:
    JRBaseBreak, JRDesignBreak, JRFillBreak

      public interface JRBreak
      extends JRElement

  An abstract representation of a break element.

  The break element was added to the list of elements that can be placed inside a band. This is used for introducing a page break or column break at a specified position within the band.

  In many ways, the break element behaves like any other normal element placed in a band. For instance, it can be conditionally displayed using `<printWhenExpression>`, and it can float within the band if `positionType="Float"` is used. Other common element properties like colors and styles do not make any sense for this kind of element, because it behaves like an invisible horizontal line that crosses the whole parent band and indicates the `y` position where a page break or column break should occur when the band content is rendered during the report-filling process.

  Whether a page break or a column break should be introduced is specified using the `type` attribute available for this element (see `getTypeValue()`). By default, page breaks are created.
  Version:
    $Id: JRBreak.java 7050 2014-04-25 11:09:07Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PAGE_BREAK_NO_PAGINATION_APPLY` Value for `PROPERTY_PAGE_BREAK_NO_PAGINATION` that results in page breaks being honoured in non paginated reports.
    `static java.lang.String` | `PAGE_BREAK_NO_PAGINATION_IGNORE` Value for `PROPERTY_PAGE_BREAK_NO_PAGINATION` that results in page breaks being ignored in non paginated reports.
    `static java.lang.String` | `PROPERTY_PAGE_BREAK_NO_PAGINATION` Property that determines how page breaks are to be handled in reports that are not paginated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BreakTypeEnum` | `getTypeValue()` Gets the break type.
    `void` | `setType(BreakTypeEnum breakTypeEnum)` Sets the break type.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, collectExpressions, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Field Detail

    - #### PROPERTY_PAGE_BREAK_NO_PAGINATION

          static final java.lang.String PROPERTY_PAGE_BREAK_NO_PAGINATION

      Property that determines how page breaks are to be handled in reports that are not paginated.

      The property value can be one of

      - `PAGE_BREAK_NO_PAGINATION_IGNORE`
      - `PAGE_BREAK_NO_PAGINATION_APPLY`

      The property can be set globally, at report level or at element level. The default behaviour is to ignore page breaks in non paginated reports.

      See Also:
        Constant Field Values

    - #### PAGE_BREAK_NO_PAGINATION_IGNORE

          static final java.lang.String PAGE_BREAK_NO_PAGINATION_IGNORE

      Value for `PROPERTY_PAGE_BREAK_NO_PAGINATION` that results in page breaks being ignored in non paginated reports.
      See Also:
        Constant Field Values

    - #### PAGE_BREAK_NO_PAGINATION_APPLY

          static final java.lang.String PAGE_BREAK_NO_PAGINATION_APPLY

      Value for `PROPERTY_PAGE_BREAK_NO_PAGINATION` that results in page breaks being honoured in non paginated reports.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTypeValue

          BreakTypeEnum getTypeValue()

      Gets the break type.
      Returns:
        a value representing one of the break type constants in `BreakTypeEnum`

    - #### setType

          void setType(BreakTypeEnum breakTypeEnum)

      Sets the break type.
      Parameters:
        `breakTypeEnum` - a value representing one of the break type constants in `BreakTypeEnum`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com